//
//  Utility.h
//
//  Created by Dan Grassi on 7/4/11.
//  Copyright 2011 Zaph, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

void Zlog(NSString *format, ...);

@interface Utility : NSObject
+ (float)radiansFromDegrees:(float)degrees;
+ (float)degreesFromRadians:(float)radians;
+ (float)normalizeAngle:(float)radians;
@end


@interface FieldPoint : NSObject
@property (nonatomic) float magnitude;
@property (nonatomic) float angle;
@property (nonatomic, readonly) float x;
@property (nonatomic, readonly) float y;

+ (FieldPoint *)pointWithMagnitude:(float)magnitude angle:(float)angle;
+ (FieldPoint *)pointWithX:(float)x Y:(float)y;
+ (FieldPoint *)pointWithPoint:(CGPoint)point;
- (id)initWithMagnitude:(float)magnitude angle:(float)angle;
- (void)rotatePoint:(float)radians;
@end
//
//
//@interface VectorLocation : NSObject
//@property (nonatomic, readonly) float magnitude;
//@property (nonatomic, readonly) float angle;
//
//+ (VectorLocation *)pointWithMagnitude:(float)magnitude angle:(float)angle;
//@end
