//
//  AntennaAppDelegate.m
//
//  Created by Dan on 2/18/10.
//  Copyright Zaph, LLC 2010. All rights reserved.
//

#import "AntennaAppDelegate.h"
#import "PatternViewController.h"

@interface AntennaAppDelegate ()
@end

@implementation AntennaAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    
    self.viewController = [[PatternViewController alloc] initWithNibName:nil bundle:nil];
    
	[self.window addSubview:self.viewController.view];
    CGRect newBounds = self.viewController.view.bounds;
    newBounds.origin.y = newBounds.origin.y - 20;
    self.viewController.view.bounds = newBounds;
    
    [self.window makeKeyAndVisible];

	return YES;
}

@end
