//
//  PatternHelper.h
//
//  Created by Dan Grassi on 7/10/11.
//  Copyright 2011 Zaph, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

@class PatternViewController;
@class Tower;
@class FieldPoint;

@interface PatternHelper : NSObject

@property (nonatomic, assign) PatternViewController *patternViewController;

- (id)initWithPatternViewController:(PatternViewController *)patternViewController;

- (void)calculatePatternPath;
- (void)calculateReferencePath;
- (void)calculateTowerPoints;

- (FieldPoint *)fieldPointForTower:(Tower*)tower;

@end
