//
//  PatternView.h
//
//  Created by Dan on 2/18/10.
//  Copyright 2010 Zaph, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface PatternView : UIView

@property (nonatomic, assign, readonly) CGAffineTransform patternTransform;
@property (strong) UIBezierPath *bezierPath;
@property (strong) UIBezierPath *bezierPathUnit;

@property (nonatomic, strong) NSArray *towerPoints;
@property (nonatomic) NSUInteger selectedTowerNumber;

- (CGPoint)translatePlotX:(CGFloat)x Y:(CGFloat)y;
- (CGPoint)translateViewPoint:(CGPoint)point;

@end
