//
//  Tower.h
//
//  Created by Dan Grassi on 7/4/11.
//  Copyright 2011 Zaph, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Tower : NSObject <NSCopying>

@property (nonatomic) float field;
@property (nonatomic) float phase;
@property (nonatomic) float spacing;
@property (nonatomic) float orientation;

@property (nonatomic, readonly) float phaseDegrees;
@property (nonatomic, readonly) float spacingDegrees;
@property (nonatomic, readonly) float orientationDegrees;

+ (id)towerWithField:(float)field phase:(float)phase spacing:(float)spacing orientation:(float)orientation;
+ (id)towerWithField:(float)field phaseDegrees:(float)phase spacingDegrees:(float)spacing orientationDegrees:(float)orientation;

- (void)setLocationX:(float)x Y:(float)y;

@end
